<?
require_once '../core/system.php';
require_once 'sys.php';
echo only_reg();
if($user['clan_id'] == 0) {
    header("Location: /clan/");
    exit();
}
$header = 'Клановые постройки';
require_once '../core/head.php';
$row = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id` = '".$user['clan_id']."' LIMIT 1"));
$g = array();
$g['elik_lvl'] = (($row['elik_lvl'] + 1) * 1000);
$g['sila_lvl'] = (($row['sila_lvl'] + 1) * 1000);
$error = NULL;

if(isset($_GET['b'])) {
    if($_GET['b'] == 1) $type = 'sila';
    if($_GET['b'] == 2) $type = 'elik';
    if($_GET['b'] != 1 && $_GET['b'] != 2) $error = 'Неверный id построики';
    if($row['gold'] < 5000) $error = 'Недостаточно золота в казне';
    if($row[$type] == 1) $error = 'Здание уже построено';
    if($user['clan_prava'] != 4) $error = 'У Вас недостаточно прав';
    if(!$error) {
        mysql_query("UPDATE `clans` SET `$type` = '1', `gold` = `gold` - '5000' WHERE `id` = '".$user['clan_id']."'");
        header("Location: /clan/built.php");
        exit();
    }
}

if(isset($_GET['up'])) {
    if($_GET['up'] == 1) $type = 'sila_lvl';
    if($_GET['up'] == 2) $type = 'elik_lvl';
    if($_GET['up'] != 1 && $_GET['up'] != 2) $error = 'Неверный id построики';
    if($row['gold'] < $g[$type]) $error = 'Недостаточно золота в казне';
    if($row[$type] == 5) $error = 'Здание отстроено полностью';
    if($user['clan_prava'] != 4) $error = 'У Вас недостаточно прав';
    if(!$error) {
        mysql_query("UPDATE `clans` SET `$type` = `$type` + '1', `gold` = `gold` - '$g[$type]' WHERE `id` = '".$user['clan_id']."'");
        header("Location: /clan/built.php");
        exit();
    }
}

if(isset($_GET['act'])) {
    if($_GET['act'] == 1) $type = 'sila';
    if($_GET['act'] == 2) $type = 'elik';
    $tm = ($type == 'sila') ? 60 * 60 * 3 : 60 * 60 * 6;
    $tm = time() + $tm;
    if($_GET['act'] != 1 && $_GET['act'] != 2) $error = 'Неверный id построики';
    if($user['gold'] < 500 || $user['silver'] < 1000) $error = 'Недостаточно золота или серебра для активации';
    if($row[$type.'_lvl'] != 5) $error = 'Здание отстроено не полностью';
    if($user['bonus_'.$type] > time()) $error = 'Бонус уже активен';
    if(!$error) {
        mysql_query('UPDATE `user` SET `gold` = `gold` - 500, `silver` = `silver` - 1000, `bonus_'.$type.'` = '.$tm.' WHERE `id` = '.$user['id'].'');
        header("Location: /clan/built.php");
        exit();
    }
}
if($error) {
    echo '<div class="player" style="color: red">
    '.$error.'
    </div>
    <div class="mini-line"></div>';
}

echo '<div class="block_zero">
<img src="/images/icon/sila.png" style="float:left;margin-right:3px;margin-top:3px;"/>
<div style="display:inline-block;">
<img src="/images/icon/clan.png"/> 
<span class="bold">Чудосила:</span> 
<img src="/images/icon/level.png"/> '.(int) $row['sila_lvl'].' уровень<br/>
Бонус: <span class="dgreen">+300</span> к сумме параметров в течении 3 часов<br/>';
if($row['sila'] == 0 && $user['clan_prava'] == 4) {
    echo '<a href="?b=1">Построить здание</a>, стоимость <img src="/images/icon/gold.png" /> 5000';
}
elseif($row['sila_lvl'] < 5 && $user['clan_prava'] == 4) {
    echo '<a href="?up=1">Поднять уровень</a>, стоимость <img src="/images/icon/gold.png" /> '.$g['sila_lvl'];
}
elseif($user['bonus_sila'] > time()) {
    echo '<span class="green">Бонус действует до: '.date("d.m H:i", $user['bonus_sila']).'</span>';
}
elseif($row['sila_lvl'] == 5) {
    echo '<a href="?act=1">Активировать бонус</a>, стоимость <img src="/images/icon/gold.png" /> 500 и <img src="/images/icon/silver.png" /> 1000';
}
else {
    echo 'Активация бонуса доступна после 5 уровня';
}

echo '<br/>
</div></div>
<div class="mini-line"></div>
<div class="block_zero">
<img src="/images/icon/elik.png" style="float:left;margin-right:3px;margin-top:3px;"/>
<div style="display:inline-block;">
<img src="/images/icon/clan.png"/> 
<span class="bold">Эликсир опыта:</span> 
<img src="/images/icon/level.png"/> '.(int) $row['elik_lvl'].'  уровень<br/>
Бонус: Двойной опыт в течении 6 часов<br/>';
if($row['elik'] == 0 && $user['clan_prava'] == 4) {
    echo '<a href="?b=2">Построить здание</a>, стоимость <img src="/images/icon/gold.png" /> 5000';
}
elseif($row['elik_lvl'] < 5 && $user['clan_prava'] == 4) {
    echo '<a href="?up=2">Поднять уровень</a>, стоимость <img src="/images/icon/gold.png" /> '.$g['elik_lvl'];
}
elseif($user['bonus_elik'] > time()) {
    echo '<span class="green">Бонус действует до: '.date("d.m H:i", $user['bonus_elik']).'</span>';
}
elseif($row['elik_lvl'] == 5) {
    echo '<a href="?act=2">Активировать бонус</a>, стоимость <img src="/images/icon/gold.png" /> 500 и <img src="/images/icon/silver.png" /> 1000';
}
else {
    echo 'Активация бонуса доступна после 5 уровня';
}
echo '</div><ul class="hint">
<li style="font-size: 11px;">Для активации бонусов нужно иметь клановые здания не ниже 5-го уровня</small></li>
</ul>

</div>
<div class="mini-line"></div>
<div class="menuList">
<li>
<a href="/clan/"><img src="/images/icon/arrow.png" />Вернуться в клан</a>
</li>
</div>

';
include '../core/foot.php';